/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as a, createVNode as o } from "vue";
import { cardType as t, cardOrientation as e } from "./interfaces/Enums.mjs";
import { packageMetadata as i } from "../package-metadata.mjs";
import { validatePackage as n, getDefaultSlots as p } from "@progress/kendo-vue-common";
const u = /* @__PURE__ */ a({
  name: "KendoCard",
  props: {
    dir: String,
    type: {
      type: String,
      default: t.DEFAULT,
      validator: function(r) {
        return ["default", "primary", "info", "success", "warning", "error"].includes(r);
      }
    },
    orientation: {
      type: String,
      default: e.VERTICAL,
      validator: function(r) {
        return ["horizontal", "vertical"].includes(r);
      }
    }
  },
  created() {
    n(i);
  },
  computed: {
    wrapperClass() {
      const r = this.$props.orientation !== e.HORIZONTAL ? "vertical" : "horizontal";
      return {
        "k-card": !0,
        [`k-card-${this.$props.type}`]: this.$props.type !== t.DEFAULT,
        [`k-card-${r}`]: !0
      };
    }
  },
  render() {
    const r = p(this);
    return o("div", {
      dir: this.$props.dir,
      class: this.wrapperClass
    }, [r]);
  }
});
export {
  u as Card
};
